/// <reference types="react" />
declare type CheckboxComponent = React.FC & {
    Group: typeof CheckboxGroupWithMode;
};
declare const CheckboxWithMode: CheckboxComponent;
declare const CheckboxGroupWithMode: import("react").FC<import("./type").CheckboxGroupProps & import("../../dataSourceForm/utils").WithModeProps>;
export default CheckboxWithMode;
